# Uses of Interface
org.opensaml.xmlsec.algorithm.DigestAlgorithm

Packages that use DigestAlgorithm
Package
Description
org.opensaml.xmlsec.algorithm
Configuration and support classes for security algorithms.
org.opensaml.xmlsec.algorithm.descriptors
Algorithm descriptor classes.

## Uses of DigestAlgorithm in org.opensaml.xmlsec.algorithm

Fields in org.opensaml.xmlsec.algorithm with type parameters of type DigestAlgorithm
Modifier and Type
Field
Description
`private Map<String,DigestAlgorithm>`
AlgorithmRegistry.`digestAlgorithms`
Index of digest type to AlgorithmDescriptor.
Methods in org.opensaml.xmlsec.algorithm that return DigestAlgorithm
Modifier and Type
Method
Description
`DigestAlgorithm`
AlgorithmRegistry.`getDigestAlgorithm(String digestMethod)`
Lookup a digest method algorithm descriptor by the JCA digest method ID.

## Uses of DigestAlgorithm in org.opensaml.xmlsec.algorithm.descriptors

Classes in org.opensaml.xmlsec.algorithm.descriptors that implement DigestAlgorithm
Modifier and Type
Class
Description
`final class`
`DigestMD5`
Algorithm descriptor for digest algorithm: MD5.
`final class`
`DigestRIPEMD160`
Algorithm descriptor for digest algorithm: RIPEMD160.
`final class`
`DigestSHA1`
Algorithm descriptor for digest algorithm: SHA-1.
`final class`
`DigestSHA224`
Algorithm descriptor for digest algorithm: SHA-256.
`final class`
`DigestSHA256`
Algorithm descriptor for digest algorithm: SHA-256.
`final class`
`DigestSHA3_224`
Algorithm descriptor for digest algorithm: SHA3-224.
`final class`
`DigestSHA3_256`
Algorithm descriptor for digest algorithm: SHA3-256.
`final class`
`DigestSHA3_384`
Algorithm descriptor for digest algorithm: SHA3-384.
`final class`
`DigestSHA3_512`
Algorithm descriptor for digest algorithm: SHA3-512.
`final class`
`DigestSHA384`
Algorithm descriptor for digest algorithm: SHA-384.
`final class`
`DigestSHA512`
Algorithm descriptor for digest algorithm: SHA-512.